#include "dwatchdog.h"  
#include <sys/ioctl.h>  /* ioctl */


int EnableCounter(int file_desc)
{
  int ret_val;

  ret_val = ioctl(file_desc, DECISION_ENABLE_COUNTER);
  return ret_val;
}

int DisableCounter(int file_desc)
{
  int ret_val;

  ret_val = ioctl(file_desc, DECISION_DISABLE_COUNTER);
  return ret_val;
}

int SetCounter(int file_desc, unsigned long int value)
{
  int ret_val;
  ret_val = ioctl(file_desc, DECISION_SET_COUNTER, value);
  return ret_val;
}

unsigned long int GetCounter(int file_desc)
{
  unsigned long int ret_val;
  ioctl(file_desc, DECISION_GET_COUNTER, &ret_val);
  return ret_val;
}

int SetCounterSource(int file_desc, int value)
{
  int ret_val;

  ret_val = ioctl(file_desc, DECISION_SET_COUNTER_SOURCE, value);
  return ret_val;
}

int SetRemotePowerOn(int file_desc, char value)
{
  int ret_val;

  ret_val = ioctl(file_desc, DECISION_SET_REMOTEPOWER_ON, value);
  return ret_val;
}

int EnablePciReset(int file_desc)
{
  int ret_val;

  ret_val = ioctl(file_desc, DECISION_ENABLE_PCI_RESET);
  return ret_val;
}
